> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noxus.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Suspend User

> Block sign-in and every session at once, keeping the user's data and
access for a later reactivation.



## OpenAPI

````yaml post /v1/admin/users/{user_id}/suspend
openapi: 3.1.0
info:
  title: Noxus Backend
  description: >-
    Backend API for the Noxus Platform. More information can be found at
    https://docs.noxus.ai
  version: 1.1.0
servers: []
security: []
paths:
  /v1/admin/users/{user_id}/suspend:
    post:
      tags:
        - V1 - Users
      summary: Suspend User
      description: |-
        Block sign-in and every session at once, keeping the user's data and
        access for a later reactivation.
      operationId: suspend_user
      parameters:
        - name: user_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: User Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TenantUserDetail'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    TenantUserDetail:
      properties:
        id:
          type: string
          title: Id
        email:
          type: string
          title: Email
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
        tenant_admin:
          type: boolean
          title: Tenant Admin
        is_active:
          type: boolean
          title: Is Active
        status:
          type: string
          enum:
            - active
            - pending
            - suspended
          title: Status
        tenant_role_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Tenant Role Id
        tenant_role:
          anyOf:
            - type: string
            - type: 'null'
          title: Tenant Role
        metadata:
          additionalProperties:
            type: string
          type: object
          title: Metadata
        memberships:
          items:
            $ref: '#/components/schemas/Membership'
          type: array
          title: Memberships
      type: object
      required:
        - id
        - email
        - tenant_admin
        - is_active
        - status
      title: TenantUserDetail
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Membership:
      properties:
        workspace_id:
          type: string
          title: Workspace Id
        workspace_name:
          type: string
          title: Workspace Name
        role_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Role Id
        role:
          anyOf:
            - type: string
            - type: 'null'
          title: Role
      type: object
      required:
        - workspace_id
        - workspace_name
        - role_id
        - role
      title: Membership
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.